[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBand.GetDisplayName

Gets the display name for the collection item.

## Declaration

Source position: comctrls.pp line 2501

`protected function TCoolBand.GetDisplayName: string; override;`

## Function result

Display name for the Cool Band collection item.

## Description

Uses the value in Text (when assigned). Otherwise, the ClassName is used as the display name for the collection item.

## See also

TCoolBand.Text |  | Text displayed as the identifier or caption for the band.
TCollectionItem.DisplayName
TObject.ClassName